%define anolis_release 26
Name:           perl-Compress-LZF
Version:        3.8
Release:        %{anolis_release}%{?dist}
Summary:        Extremely light-weight Lempel-Ziv-Free compression
License:        GPL+ or Artistic
## Not in the binary packages
# liblzf files:     BSD or GPLv2+
# perlmulticore.h:  Public Domain or CC0
URL:            https://metacpan.org/release/Compress-LZF
Source0:        https://cpan.metacpan.org/modules/by-module/Compress/Compress-LZF-%{version}.tar.gz
# Unbundle liblzf
Patch0:         Compress-LZF-3.8-Unbundle-liblzf.patch
# Unbundle perlmulticore.h
Patch1:         Compress-LZF-3.8-Unbundle-perlmulticore.patch
Patch2:         perl-Compress-LZF-c99.patch
# Build
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  liblzf-devel
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perlmulticore-static
# Module
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
# Test Suite
BuildRequires:  perl(Storable)
# Dependencies

%description
This is Perl binding to the LZF compression library.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n Compress-LZF-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license COPYING COPYING.Artistic COPYING.GNU
%{perl_vendorarch}/auto/Compress/
%{perl_vendorarch}/Compress/
%{_mandir}/man3/Compress::LZF.3*

%files doc
%doc Changes README

%changelog
* Wed May 21 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 3.8-26
- Rebuild for remove inappropriate build dependencies.

* Mon Feb 6 2023 Funda Wang <fundawang@yeah.net> - 3.8-25
- Import package for anolis 23
